Alacarte "CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed"

Bug #593474 reported by TomasHermosilla on 2010-06-14
124
This bug affects 25 people
Affects Status Importance Assigned to Milestone
appmenu-gtk (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: alacarte

alacarte crash with segfault. This is the shell message

~$ alacarte
/usr/share/themes/Finery/gtk-2.0/gtkrc:256: Imposible encontrar un archivo imagen en pixmap_path: «panel_bg.png»

** (alacarte:3949): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
Fallo de segmentación

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alacarte 0.13.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-22.36-generic-pae 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic-pae i686
NonfreeKernelModules: wl
Architecture: i386
Date: Sun Jun 13 19:54:37 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 LANG=es_CL.utf8
 SHELL=/bin/bash
SourcePackage: alacarte

TomasHermosilla (thermosilla) wrote :
dino99 (9d9) wrote :

same message with firefox, maverick a1 updated

(firefox-bin:32054): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed

dino99 (9d9) wrote :

(gedit:2066): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed

(gnome-terminal:2195): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed

XFACT (avinandan) wrote :

I got the same error in bunch of applications like Adobe reader, Adobe Air, Wakoopa, Leafpad, Menu editor etc.
I think it's really critical!

tags: added: desktop ubuntu
Augusto (augusto.rendon) wrote :

same with emacs
** (emacs:3963): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed

Jani Uusitalo (uusijani) wrote :

For me the 'dbusproxy != NULL' problem came up with some of The GIMP's filters. After I uninstalled Unity and all the packages it had pulled (probably from the PPA), the error went away. Hope this helps some of you too.

ufoz (ufo-z) wrote :

also the same problems here. i thought that my hardwre is broken. so i am lucky that other people also got that error. :/

Devon Garber (devongarber1) wrote :

I get this problem when I use Adobe AIR and GDebi Package Installer.

here with air aplications, eclipse and other..

ufoz (ufo-z) wrote :

first workaround:

runt your application as sudo user.
ill investigate where the rights problem comes from

Yannick L. (axle-foley99) wrote :

I had the same problem with nvidia-settings and putty. Running the applications as 'sudo' helped.

maboiteaspam (maboiteaspam) wrote :

I have the same problem with filezilla, current workaround is working.

maboiteaspam (maboiteaspam) wrote :

I have unity installed to... Forgot to tell it.

me too.. i'm uninstalled them, but the problem still's here..

Gusions (gusions) wrote :

Me too, when i try to open emesene and geany !

This bug also affects pcsx2 (ps2 emulator). And I've used UNE ppa to try Unity.

Manually installed libgtk2.0-0_2.20.0-0ubuntu4_i386.deb from http://packages.ubuntu.com/lucid/libgtk2.0-0

Bug seems to be fixed.

Hm. Be accurate with my solution. You also have to remove appmenu-gtk and install vanilla (from lucid repo) versions of:

libgail18_2.20.0-0ubuntu4_i386.deb
libgtk2.0-bin_2.20.0-0ubuntu4_all.deb
libgtk2.0-dev_2.20.0-0ubuntu4_i386.deb

Anmar Oueja (anmar) wrote :

I have the same problem when running stock Eamacs on stock lucid.

ii emacs-goodies-el 31.4ubuntu1 Miscellaneous add-ons for Emacs
ii emacs23 23.1+1-4ubuntu7 The GNU Emacs editor (with GTK+ user interfa
ii emacs23-bin-common 23.1+1-4ubuntu7 The GNU Emacs editor's shared, architecture
ii emacs23-common 23.1+1-4ubuntu7 The GNU Emacs editor's shared, architecture
ii emacsen-common 1.4.19ubuntu1 Common facilities for all emacsen

lootic (lootic) wrote :

have same problem in mupen64plus, desmume, wiithon and dolphin-emu.

terminal outputs

desmume:

lootic@Celleck:~$ desmume
addonsChangePak
Microphone successfully inited.

** (desmume:3212): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
SoftRast Initialized
Segmentation fault

wiithon:

lootic@Celleck:~$ wiithon

** (wiithon:3349): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
Segmentation faul

mupen64plus:

lootic@Celleck:~$ mupen64plus
 __ __ __ _ _ ____ _
| \/ |_ _ _ __ ___ _ __ / /_ | || | | _ \| |_ _ ___
| |\/| | | | | '_ \ / _ \ '_ \| '_ \| || |_| |_) | | | | / __|
| | | | |_| | |_) | __/ | | | (_) |__ _| __/| | |_| \__ \
|_| |_|\__,_| .__/ \___|_| |_|\___/ |_| |_| |_|\__,_|___/
             |_| http://code.google.com/p/mupen64plus/
Version 1.5

** (mupen64plus:3217): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
Config Dir: /home/lootic/.config/mupen64plus/
Data Dir: /home/lootic/.local/share/mupen64plus/
Cache Dir: /home/lootic/.cache/mupen64plus/
Install Dir: /usr/share/mupen64plus/
Plugin Dir: /usr/lib/mupen64plus/

Rescanning rom cache.
Rom cache up to date. 0 ROMs.

dolphin-emu:

lootic@Celleck:~$ dolphin-emu

** (dolphin-emu:3415): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
33:28:180 Source/Core/Common/Src/FileUtil.cpp:92 W[COMMON]: IsDirectory: stat failed on /home/lootic/.dolphin-emu/Wii/title/00000001/00000002/content/:
33:28:274 Source/Core/DolphinWX/Src/X11Utils.cpp:107 N[Video]: XRRExtension-Version 1.3
33:28:283 Source/Core/DolphinWX/Src/X11Utils.cpp:144 N[Video]: Fullscreen Resolution 640x480
Segmentation fault

Devon Garber (devongarber1) wrote :

I found this crash log under /tmp/airCrashLogs/

Angry (kriese84) wrote :

Same Problem here. I have this error with alacarte, gimp, pulseaudio-equalizer-gtk etc ...
Helps to be root. For me it seems to be something with python ...

I had this bug until I removed the package appmenu-gtk (I guess a dependency for global menu app)

For those wanting to copy-paste:
sudo aptitude remove appmenu-gtk

defrex (defrex) wrote :

I can confirm Egon Geerardyn's solution (removing appmenu-gtk) solves the problem.

affects: alacarte (Ubuntu) → appmenu-gtk (Ubuntu)
Angry (kriese84) wrote :

I can confirm that solution too. No problems here anymore, thx.

alexfb (hamtaro-alfb) wrote :

The solution is remove the appmenu-gtk app. Thanks Egon ;)!

Yudi Irianto (yudi-irianto) wrote :

Same error with tsclient, but it works under sudo.

Yudi Irianto (yudi-irianto) wrote :

Also thanks for Egon.... it works once removing appmenu-gtk

The appmenu-gtk from ubuntu-netbook-unity-default-setting. The problem from the PPA repository. I think we should remove unnecessary package for daily use purpose.

Yannick L. (axle-foley99) wrote :

Removing appmenu-gtk also solved the problem for me.

Same problem here with a lot of applications.
Nvidia settings, aptana studio, bluefish, filezilla...

lore@lore:~$ nvidia-settings

** (nvidia-settings:27515): CRITICAL **: menu_proxy_module_load: assertion `dbusproxy != NULL' failed
Segmentation fault

YEAH.
Removing the appmenu-gtk package solved all the problems...

DeBø (black-painkiller) wrote :

Removing the appmenu-gtk package solved the problem with nvidia-setting and other, but not with akregator and I guess other kde apps.

@DeBø: Does your Akgregator instantly crash? Because I have no trouble with Akgregator launching here. Perhaps you might want to log out for an instant to be sure most libraries are reloaded.

appmenu-gtk also solved my problems !

Sebastien Bacher (seb128) wrote :

could you give details on the libgtk2.0-0 and appmenu-gtk versions installed when you get the issue?

Devon Garber (devongarber1) wrote :

It works now!

Jamie Pietarinen (jpietari) wrote :

Removing appmenu-gtk solved my problem.

@Sebastian Bacher:
app-menu-gtk: 0.06-0lucid3
libgtk2.0-0: 2.20.1-0ubuntu2~menuproxy6

Both come from this repo:
deb http://ppa.launchpad.net/canonical-dx-team/une/ubuntu lucid main

For the people who don't know what it is; it's the PPA repository which contains Unity.

Cody Russell (bratsche) wrote :

There was a new appmenu-gtk release yesterday which I believe has fixed these issues. Could anyone here let me know if you're still having this problem?

@Cody: no it is not fixed.

GalanM (galan-c-m) wrote :

I can add another not fixed report. Just updated unity a couple hours ago, and then discovered this problem for the first time (with gdebi-gtk). Fix still worked.

AmazonMP3 is also affected, removing appmenu-gtk fixed it - thanks!

zordsdavini (zordsdavini) wrote :

removing unity with appmenu-gtk solved my problem

Yantra Shilpi (yantrashilpi) wrote :

I had installed the appmenu-gtk as part of the UNE for maverick in Lucid. Removing this package seems to have enabled all AIR apps to open without having to go through 'sudo'. Before this 'sudo' seemed to be the only way to get to the AIR apps.

David Barth (dbarth) on 2010-06-25
Changed in appmenu-gtk (Ubuntu):
status: New → Incomplete
Sebastien Bacher (seb128) wrote :

is that still an issue using the current versions?

Changed in appmenu-gtk (Ubuntu):
importance: Undecided → Low
dino99 (9d9) wrote :

not logged now on my end

dino99 (9d9) wrote :

seem to be related to bug 597550

David Barth (dbarth) wrote :

Can't reproduce the issue anymore with appmenu-gtk 0.0.9 and i-appmenu 0.0.7. Feel free to reopen the bug is you can reproduce the issue with newer versions.

Changed in appmenu-gtk (Ubuntu):
status: Incomplete → Fix Committed
Sebastien Bacher (seb128) wrote :

closing since that should be working now, reopen if you still get the issue

Changed in appmenu-gtk (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers